Bug 49169 - [Chromium] display:none has no effect on <option> element
Summary: [Chromium] display:none has no effect on <option> element
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 8351
  Show dependency treegraph
 
Reported: 2010-11-08 04:13 PST by Shinichiro Hamaji
Modified: 2010-12-14 01:43 PST (History)
3 users (show)

See Also:


Attachments
Patch v1 (8.78 KB, patch)
2010-11-08 04:30 PST, Shinichiro Hamaji
dglazkov: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinichiro Hamaji 2010-11-08 04:13:58 PST
Bug 8351 is the master bug of this. This bug will fix only Chromium.

Chromium side: http://code.google.com/p/chromium/issues/detail?id=29363
Comment 1 Shinichiro Hamaji 2010-11-08 04:30:10 PST
Created attachment 73233 [details]
Patch v1
Comment 2 Dimitri Glazkov (Google) 2010-11-08 10:13:13 PST
Comment on attachment 73233 [details]
Patch v1

ok.
Comment 3 Shinichiro Hamaji 2010-11-09 02:41:00 PST
(In reply to comment #2)
> (From update of attachment 73233 [details])
> ok.

Thanks for your review!

I've landed the patch as http://trac.webkit.org/changeset/71618 with modifying WebKit/chromium/ChangeLog as it had double ChangeLog entries.
Comment 4 Mihai Parparita 2010-11-09 07:35:49 PST
BTW, this broke PopupMenuTest (which lives upstream), though only the Windows build (it doesn't get built for other platforms). Should be fixed with http://trac.webkit.org/changeset/71631.
Comment 5 Shinichiro Hamaji 2010-11-09 07:49:50 PST
Oops. I thought I git-grepped with the symbol but I somehow missed it. Thanks for fixing this!
Comment 6 Eric Seidel (no email) 2010-12-14 01:43:37 PST
Looks like this was landed.